<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Users/tris/typeTri/New"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Ajouter un type de tri</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!typeTriForm.invalid && save()" #typeTriForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Nom du type de tri</mat-label>
            <input minlength="3" name="typeTriNom" matInput placeholder="Ex. Firewall" [(ngModel)]="newTypeTri.typeTriNom" required>
            <mat-error *ngIf="typeTrisNom.invalid">{{getErrorMessage()}}</mat-error>
          </mat-form-field>
          <button type="submit" [disabled]="!typeTriForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>

